Page MenuHomePhabricator

Make survey description string optional
Closed, ResolvedPublic

Description

Right now it's a mandatory field, which forced me to enter an empty i18n string for my survey that doesn't need it, causing i18n CI issues.

Details

Related Gerrit Patches:
mediawiki/extensions/QuickSurveys : masterMake survey description optional
mediawiki/vagrant : masterRemove QuickSurvey description

Event Timeline

Gilles created this task.May 22 2018, 7:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2018, 7:16 AM

Change 434458 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/QuickSurveys@master] Make survey description optional

https://gerrit.wikimedia.org/r/434458

Gilles triaged this task as Medium priority.May 22 2018, 10:04 AM

Change 434489 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/vagrant@master] Remove QuickSurvey description

https://gerrit.wikimedia.org/r/434489

Change 434489 merged by jenkins-bot:
[mediawiki/vagrant@master] Remove QuickSurvey description

https://gerrit.wikimedia.org/r/434489

Change 434458 merged by jenkins-bot:
[mediawiki/extensions/QuickSurveys@master] Make survey description optional

https://gerrit.wikimedia.org/r/434458

Gilles closed this task as Resolved.May 30 2018, 7:26 PM
Vvjjkkii renamed this task from Make survey description string optional to ricaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Gilles as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from ricaaaaaaa to Make survey description string optional.Jul 2 2018, 4:43 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Gilles.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.